import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { MainExamEvaluationQuery, MainExamEvaluationVO } from './types';

export function listEvaluation(query: MainExamEvaluationQuery): AxiosPromise<MainExamEvaluationVO[]> {
  return request({
    url: '/main/examEvaluation/list',
    method: 'get',
    params: query
  });
}

export function updateEvaluationStatus(id: string | number, status: string) {
  return request({
    url: `/main/examEvaluation/status/${id}/${status}`,
    method: 'put'
  });
}
